org.apache.mina.example.tapedeck

## Class CommandSyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.mina.filter.codec.ProtocolCodecException
      - - org.apache.mina.filter.codec.ProtocolDecoderException
        - - org.apache.mina.example.tapedeck.CommandSyntaxException

- All Implemented Interfaces:
    Serializable

      public class CommandSyntaxException
      extends ProtocolDecoderException

  Exception thrown by `CommandDecoder` when a line cannot be decoded as a `Command` object.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandSyntaxException(String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Returns the message and the hexdump of the unknown part.

    - ### Methods inherited from class org.apache.mina.filter.codec.ProtocolDecoderException

      `getHexdump, setHexdump`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandSyntaxException

          public CommandSyntaxException(String message)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Description copied from class: `ProtocolDecoderException`
      Returns the message and the hexdump of the unknown part.
      Overrides:
        `getMessage` in class `ProtocolDecoderException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.